package org.wcs.constant.enums.plc;

import lombok.Getter;

/**
 * 堆垛机设备状态枚举
 */
@Getter
public enum StackerDeviceStatusEnum {

    OFF_LINE(0, "离线"),
    FREE(1, "空闲"),
    ACCEPT_TASK(2, "接收任务"),
    GET_MOVE(3, "取货移动"),
    GETTING(4, "取货中"),
    GET_COMPLETE(5, "取货完成"),
    SET_MOVE(6, "放货移动"),
    SETTING(7, "放货中"),
    SET_COMPLETE(8, "放货完成"),
    TASK_COMPLETE(9, "任务完成"),
    DELETE_TASK(10, "删除任务"),
    CHECKING(11, "盘点中"),
    APPLY_TASK(21, "申请任务");

    private final Integer code;
    private final String desc;

    StackerDeviceStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }


}
